From: Michael Fladischer <fladi@debian.org>
Date: Thu, 8 Oct 2015 09:52:32 -0700
Subject: use local objects.inv where possible

 Upstream uses intersphinx mappings that fetch the objects.inv for python and
 python-mock by HTTP from a remote host. Using the local objects.inv from
 python and python-mock enables the package to build without network connection.
Last-Update: 2013-12-03
Forwarded: not-needed

Patch-Name: docs-use_local_intersphinx_mapping.patch
---
 docs/source/conf.py | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

diff --git a/docs/source/conf.py b/docs/source/conf.py
index 9dfe26c..2efe164 100644
--- a/docs/source/conf.py
+++ b/docs/source/conf.py
@@ -32,10 +32,20 @@ extensions = [
     'sphinx.ext.viewcode',
 ]
 
-intersphinx_mapping = {
-    'python': ('http://docs.python.org/3/', 'http://docs.python.org/3/objects.inv'),
-    'ldap': ('http://python-ldap.org/doc/html/', None),
-}
+def check_object_path(key, url, path):
+    if os.path.isfile(path):
+        return {key: (url, path)}
+    return {}
+
+intersphinx_mapping = {}
+intersphinx_mapping.update(check_object_path('python',
+                                            'http://docs.python.org/',
+                                            '/usr/share/doc/python'
+                                              + '.'.join([str(x) for x in sys.version_info[0:2]])
+                                              + '/html/objects.inv'))
+intersphinx_mapping.update(check_object_path('ldap',
+                                             'http://python-ldap.org/doc/html/',
+                                             ''))
 
 # Add any paths that contain templates here, relative to this directory.
 templates_path = ['_templates']
